
Foreman - Bug #1971

Add complex data to parameters

11/22/2012 09:26 AM - Greg Sutcliffe

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Smart variables can accept complex data types, like json or yaml. It would be nice to be able to assign that direct to a parameter as

well. The current workaround is to create a do-nothing wrapper class with an attached smart-variable, which feels clunky.

Related issues:

Related to Foreman - Feature #4127: Array, Boolean and other types support in... Closed

History

#1 - 11/17/2019 10:55 AM - Tomer Brisker

- Related to Feature #4127: Array, Boolean and other types support in "hostgroup parameters" added

#2 - 11/17/2019 10:55 AM - Tomer Brisker

- Status changed from New to Resolved

This has been resolved by the fix for #4127
